Bug 125890 - probe of vesafb0 failed
probe of vesafb0 failed
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-06-13 07:15 EDT by Adam Bowns
Modified: 2015-01-04 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-05 14:30:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bus.c diff ignoring not only -ENODEV but also -ENXIO in probe callbacks (423 bytes, patch)
2004-08-25 12:57 EDT, Alessandro Suardi
no flags Details | Diff

  None (edit)
Description Adam Bowns 2004-06-13 07:15:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Since updating to kernel-2.6.6-1.427 I have noticed the following
error in my kernel startup logs.

vesafb: probe of vesafb0 failed with error -6

I have not noticed any ill effects from this yet, if I do I will
provide you with more information.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot
2. Check kernel startup log

Actual Results:  vesafb: probe of vesafb0 failed with error -6

Expected Results:  no error message

Additional info:
Comment 1 Andre Robatino 2004-06-14 14:40:40 EDT
  I have the same exact message since June 11 boot (probably the day
after updating to 427).  In addition I'm now running the 435 kernel
and the message persists.
Comment 2 Craig Routledge 2004-07-07 22:21:40 EDT
The message comes from drivers/base/bus.c and the only patch that
seems to touch that file between 2.6.5-1.358 and 2.6.6-1.427 is from
an update to the mainline kernel:

 akpm at osdl dot org
 [PATCH] fbdev: Vesa Fbdev update

Of course, the cause could run much deeper, but -- not being a kernel
hacker -- I quickly got lost in a maze of twisty little kernel module
Comment 3 Andre Robatino 2004-08-03 19:46:52 EDT
  Same error message with kernel-2.6.7-1.494.2.2.
Comment 4 Adam Bowns 2004-08-20 09:35:19 EDT
Its still present in kernel-2.6.8-1.521
Comment 5 Alessandro Suardi 2004-08-25 12:57:34 EDT
Created attachment 103082 [details]
bus.c diff ignoring not only -ENODEV but also -ENXIO in probe callbacks

It has to be confirmed that -ENXIO is as ignorable as -ENODEV...
Comment 6 Alessandro Suardi 2004-08-25 12:58:44 EDT
Disclaimer: I don't have enough knowledge to this, so take my patch
with a grain of salt.
Explanation: the bus.c file invokes a probe callback for most devices
in a list, then checks for -ENODEV return ("no such device"), if so it
remains silent. However, some drivers (including vesafb.c) may return
-ENXIO ("no such device or address"), which is indeed error -6.
I shut up the warning with the attached patch, that basically ignores
both -ENODEV and -ENXIO.
Comment 7 Greg Douglas 2004-11-12 16:25:29 EST
Looks like the problem is still in kernel 2.6.9.  I am still getting
this message:

vesafb: probe of vesafb0 failed with error -6...:  3 Time(s)

in my boot log.
Comment 8 Adam Bowns 2004-11-23 18:14:32 EST
This problem is still here in FC3 using kernel-2.6.9-1.681_FC3

Should I change the version field of the bug to reflect this?
Comment 9 Andy 2004-12-20 12:58:02 EST
It seems to me that the posted patch needs to be applied to the linux
kernel source code, which implies that one has to recompile the
kernel.  If so, how come that future versions of the core are not
patched?  I'm currently on 2.6.9-1.681_FC3 and the error persists
Comment 13 Craig Routledge 2005-01-05 14:29:33 EST
Fix noted in the changelog for FC3 update kernel-2.6.9-1.724_FC3.
Fix confirmed working for me.

Note You need to log in before you can comment on or make changes to this bug.